Bug 57557 - gnome-terminal does not adhere to --geometry settings
Summary: gnome-terminal does not adhere to --geometry settings
Status: CLOSED DEFERRED
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: gnome-core   
(Show other bugs)
Version: 7.2
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Havoc Pennington
QA Contact: Aaron Brown
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2001-12-15 18:31 UTC by Ben LaHaise
Modified: 2007-04-18 16:38 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-01-18 20:40:45 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Ben LaHaise 2001-12-15 18:31:49 UTC
When using twm as a window manager, the --geometry setting fails to 
set the window position of gnome-terminal on startup.  For example:

	gnome-terminal --geometry=80x25+0+0

should result in a new window being placed in the upper left hand 
corner of the screen without twm stealing mouse focus to place the 
window.  Instead, gnome-terminal fails to send the geometry settings 
to X and twm requires the user to manually place the window.  For 
reference:

	xterm -geometry 80x25+0+0

results in the correct behaviour.

Comment 1 Havoc Pennington 2001-12-15 20:29:04 UTC
gnome-terminal doesn't set the USPosition hint, so with window managers that
ignore PPosition --geometry doesn't work.

Comment 2 Joe Harrington 2002-01-04 17:13:17 UTC
I'm using gnome-terminal from gnome-core-1.4.0.4-38 under an updated 7.2 i386.

The manual
(gnome-help:///usr/share/gnome/help/gnome-terminal/C/gnome-terminal.sgml?options)
says:
------------------------------------------------------------------------------
--geometry GEOMETRY

Specifies the startup geometry for this terminal. The geometry specifies the
desired width and height in terminal characters. For example: --geometry=80x40
will create an eighty-column by forty-line terminal. You can also specify the
location of the terminal window on the screen; for example,
--geometry=80x40+100+200 will create a window whose top left corner is 100
pixels to the right and 200 pixels down from the top left corner of the screen,
while --geometry=80x40+100-200 will give a window whose bottom left corner is
100 pixels to the right and 200 pixels up from the bootm left corner of the screen.
------------------------------------------------------------------------------

Why is there an "=" sign in the examples but not in the syntax?

When called with:
gnome-terminal --use-factory --geometry=80x12+0+680 --tclass right -t "Message
Log" -x tailf /var/log/debug

gnome-terminal creates a terminal class "80x12+0+680" with some
default settings and some settings of the requested tclass.  For
example, colors are defaulted but scrollbar placement is not.
Without the "=" sign, behavior is correct.

I suspect this bug is somehow bypassing the geometry specification
and setting a new terminal class instead.

Three things need to be done:
1. lose the "=" in the docs
2. generate a syntax error if there is an "=" after the --geometry
3. track down the weirdness that turns the geometry spec into a tclass!

--jh--


Comment 3 Havoc Pennington 2002-02-26 16:17:11 UTC
For GNOME 2 I did a reworking of gnome-terminal so that this stuff works
correctly. For the most part it's pretty hard to fix in GNOME 1, and only 
release-critical showstoppers are being fixed in GNOME 1 at this point.
So we'll get the fix with GNOME 2.


Note You need to log in before you can comment on or make changes to this bug.